%global momorel 3
%global gofficever 0.6.6
%global geckover 1.9.1

Summary: Gnome chemistry Utils
Name: gnome-chemistry-utils
Version: 0.10.4
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: http://download.savannah.nongnu.org/releases/gchemutils/0.10/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://www.nongnu.org/gchemutils/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: gtk-doc
BuildPrereq: pkgconfig
BuildPrereq: cairo-devel
BuildPrereq: libglade2-devel
BuildPrereq: glib2-devel
BuildPrereq: gtk2-devel
BuildPrereq: gtkglext-devel
BuildPrereq: libgnomecanvas-devel
BuildPrereq: libgsf-devel
BuildPrereq: goffice-devel = %{gofficever}
BuildPrereq: openbabel-devel >= 2.2.0
BuildPrereq: chemical-mime-data
BuildPrereq: shared-mime-info
BuildPrereq: bodr
BuildPrereq: gecko-devel >= %{geckover}
Requires: chemical-mime-data

Obsoletes: gchempaint
Provides: gchempaint

%description
The Gnome Chemistry Utils provide some utilities and a library
containing Gtk widgets and some C++ classes related to chemistry.

%package devel
Summary: gnome-chemistry-utils-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
gnome-chemistry-utils-devel

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --enable-update-databases=no \
    --disable-schemas-install \
    --enable-mozilla-plugin
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} plugindir=%{_libdir}/mozilla/plugins install

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null 2>&1
rarian-sk-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gcrystal.schemas \
    %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
    %{_sysconfdir}/gconf/schemas/gchempaint.schemas \
    %{_sysconfdir}/gconf/schemas/gchemutils.schemas \
    > /dev/null || :

touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gcrystal.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint.schemas \
	%{_sysconfdir}/gconf/schemas/gchemutils.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gcrystal.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint.schemas \
	%{_sysconfdir}/gconf/schemas/gchemutils.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig
rarian-sk-update

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gcrystal.schemas
%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas
%{_sysconfdir}/gconf/schemas/gchempaint.schemas
%{_sysconfdir}/gconf/schemas/gchemutils.schemas

%{_bindir}/*
%{_libdir}/mozilla/plugins/libmozgcu.so
%{_libdir}/mozilla/plugins/libmozgcu.la
%{_libdir}/gchemutils
%{_libdir}/goffice/%{gofficever}/plugins/gchemutils
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%{_libexecdir}/chem-viewer
%{_datadir}/applications/*.desktop
%{_datadir}/gchemutils
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/gchemutils.xml

%{_datadir}/mimelnk/application/x-gcrystal.desktop
%{_datadir}/mimelnk/application/x-gchempaint.desktop

%{_datadir}/gnome/help/gchem3d-0.10
%{_datadir}/gnome/help/gchemcalc-0.10
%{_datadir}/gnome/help/gchempaint-0.10
%{_datadir}/gnome/help/gchemtable-0.10
%{_datadir}/gnome/help/gcrystal-0.10
%{_datadir}/gnome/help/gspectrum-0.10

%{_datadir}/omf/gchem3d-0.10
%{_datadir}/omf/gchemcalc-0.10
%{_datadir}/omf/gchempaint-0.10
%{_datadir}/omf/gchemtable-0.10
%{_datadir}/omf/gcrystal-0.10
%{_datadir}/omf/gspectrum-0.10

%{_mandir}/man1/*

%files  devel
%defattr(-, root, root)
%{_libdir}/*.so

%changelog
* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.4-3m)
- rebuild against xulrunner-1.9.1

* Tue May 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.4-2m)
- rebuild against goffice-0.6.6

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.4-1m)
- update to 0.10.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.3-2m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Tue Dec  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Mon Nov 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.7-4m)
- rebuild against openbabel-2.2.0

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-3m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-2m)
- rebuild against gcc43

* Tue Mar 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-1m)
- update to 0.8.6

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-2m)
- rebuild against goffice-0.4

* Sun Dec 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5

* Tue Oct 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- fix %%post script

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-5m)
- add intltoolize (intltool-0.36.0)

* Mon Jun 25 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.4-4m)
- added BuildPrereq: firefox-devel

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.4-3m)
- move libmozgcu.so to %%{_libdir}/mozilla/plugins/

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- no NoSource

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
